# This file created by conda-build 3.27.0
# meta.yaml template originally from:
# /Users/builder/cbouss/perseverance-python-buildout/aggregate/pandas-feedstock/recipe, last modified Sun Nov  5 19:44:08 2023
# ------------------------------------------------

package:
  name: pandas
  version: 2.1.1
source:
  sha256: fecb198dc389429be557cde50a2d46da8434a17fe37d7d41ff102e3987fd947b
  url: https://pypi.io/packages/source/p/pandas/pandas-2.1.1.tar.gz
build:
  entry_points:
    - matplotlib = pandas:plotting._matplotlib
  number: '0'
  string: py312hd77ebd4_0
requirements:
  build:
    - cctools_osx-arm64 949.0.1 h332cad3_25
    - clang 14.0.6 hca03da5_1
    - clang-14 14.0.6 default_h1b80db6_1
    - clang_osx-arm64 14.0.6 h9ff6fda_0
    - clangxx 14.0.6 default_h1b80db6_1
    - clangxx_osx-arm64 14.0.6 h72866fe_0
    - compiler-rt 14.0.6 h4ccfd99_0
    - compiler-rt_osx-arm64 14.0.6 h4fb70ea_0
    - ld64_osx-arm64 530 h001ce53_25
    - ldid 2.1.5 h20b2a84_3
    - libclang-cpp14 14.0.6 default_h1b80db6_1
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.4 hca03da5_0
    - libllvm14 14.0.6 h7ec7a93_3
    - llvm-tools 14.0.6 hfd8c8a6_3
    - tapi 1100.0.11 h8754e6a_1
    - zlib 1.2.13 h5a0b063_0
  host:
    - blas 1.0 openblas
    - bzip2 1.0.8 h620ffc9_4
    - ca-certificates 2023.08.22 hca03da5_0
    - cython 0.29.36 py312h80987f9_0
    - expat 2.5.0 h313beb8_0
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.4 hca03da5_0
    - libgfortran 5.0.0 11_3_0_hca03da5_28
    - libgfortran5 11.3.0 h009349e_28
    - libopenblas 0.3.21 h269037a_0
    - llvm-openmp 14.0.6 hc6e5704_0
    - meson 1.2.1 py312hca03da5_0
    - meson-python 0.13.1 py312h80987f9_0
    - ncurses 6.4 h313beb8_0
    - ninja 1.10.2 hca03da5_5
    - ninja-base 1.10.2 h525c30c_5
    - numpy 1.26.0 py312h7f4fdc5_0
    - numpy-base 1.26.0 py312he047099_0
    - openssl 3.0.12 h1a28f6b_0
    - packaging 23.1 py312hca03da5_0
    - pip 23.3 py312hca03da5_0
    - pyproject-metadata 0.7.1 py312hca03da5_0
    - pyproject_hooks 1.0.0 py312hca03da5_0
    - python 3.12.0 h99e199e_0
    - python-build 0.10.0 py312hca03da5_0
    - readline 8.2 h1a28f6b_0
    - setuptools 68.0.0 py312hca03da5_0
    - sqlite 3.41.2 h80987f9_0
    - tk 8.6.12 hb8d0fd4_0
    - tomli 2.0.1 py312hca03da5_1
    - tzdata 2023c h04d1e81_0
    - versioneer 0.28 py312hca03da5_0
    - wheel 0.41.2 py312hca03da5_0
    - xz 5.4.2 h80987f9_0
    - zlib 1.2.13 h5a0b063_0
  run:
    - bottleneck >=1.3.4
    - libcxx >=14.0.6
    - numexpr >=2.8.0
    - numpy >=1.26.0,<2.0a0
    - python >=3.12,<3.13.0a0
    - python-dateutil >=2.8.2
    - python-tzdata >=2022.1
    - pytz >=2020.1
  run_constrained:
    - beautifulsoup4 >=4.11.1
    - blosc >=1.21.0
    - dataframe-api-compat >=0.1.7
    - fastparquet >=0.8.1
    - fsspec >=2022.05.0
    - gcsfs >=2022.05.0
    - html5lib >=1.1
    - jinja2 >=3.1.2
    - lxml >=4.8.0
    - matplotlib-base >=3.6.1
    - numba >=0.55.2
    - odfpy>=1.4.1
    - openpyxl >=3.0.10
    - pandas-gbq >=0.17.5
    - psycopg2 >=2.9.3
    - pyarrow >=7.0.0
    - pymysql >=1.0.2
    - pyqt >=5.15.6,<6
    - pyreadstat >=1.1.5
    - pytables >=3.7.0
    - pyxlsb >=1.0.9
    - qtpy >=2.2.0
    - s3fs >=2022.05.0
    - scipy >=1.8.1
    - sqlalchemy >=1.4.36
    - tabulate >=0.8.10
    - xarray >=2022.03.0
    - xlrd >=2.0.1
    - xlsxwriter >=3.0.3
    - zstandard >=0.17.0
test:
  commands:
    - pip check
    - python -c "import pandas; pandas.test(extra_args=['-m not clipboard and not
      single_cpu and not slow and not network and not db', '-n=2', '-k', 'not (_not_a_real_test
      or test_can_set_locale_valid_set or test_floordiv_axis0_numexpr_path[python-pow])',
      '--no-strict-data-files'])"
  requires:
    - hypothesis >=6.46.1
    - pip
    - pytest >=7.3.2
    - pytest-asyncio >=0.17.0
    - pytest-xdist >=2.2.0
about:
  description: 'pandas is a Python package that provides fast, flexible, and expressive
    data structures

    designed to make working with "relational" or "labeled" data both easy and intuitive.

    It aims to be the fundamental high-level building block for doing practical, real
    world

    data analysis in Python. Additionally, it has the broader goal of becoming the
    most

    powerful and flexible open source data analysis / manipulation tool available
    in any

    language. It is already well on its way towards this goal.

    '
  dev_url: https://github.com/pandas-dev/pandas
  doc_url: https://pandas.pydata.org/pandas-docs/version/2.1.1/index.html
  home: https://pandas.pydata.org
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: High-performance, easy-to-use data structures and data analysis tools.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - TomAugspurger
    - WillAyd
    - jorisvandenbossche
    - jreback
    - msarahan
    - ocefpaf
    - ryanskeith
    - simonjayhawkins
  skip-lints:
    - has_run_test_and_commands
